{% extends 'base.html.twig' %} {% block title %}Rapport de traitement | Simplon les Deux Châtaux {% endblock %} {% block body %}
<main>
    <h1 class="h4 p-3 text-center m-0">Rapport
        <span class="h5">#{{report.id}}</span>
        </h4>
        <hr class="mt-0">
<div class="d-flex justify-content-between">
<div class="col-5">
        <h2 class="h6 text-center">Déchets par type de traitement :</h2>
        <div id="handlersByWastesHistogram"></div>
</div>
<div class="col-5">
        <h2 class="h6 text-center">Émission de CO2 par type de traitement :</h2>
        <div id="handlersCO2IssuedChart"></div>
</div>
</div>
        <hr class="mt-0">
        <h2 class="h5 text-center">Rapport détaillé :</h2>
        <hr class="mb-0">
        <ul class="list-group p-4 alert alert-primary">
            <li class="list-group-item">Date du rapport :
                <b>{{report.date|date('d/m/Y H:i:s')}}</b>
            </li>
            <li class="list-group-item">Nombre de déchets :
                <b>{{report.nbWastes}}</b>
            </li>
            <li class="list-group-item">Nombre de déchets traités :
                <b>{{report.nbTreatedWastes}}</b>
            </li>
            <li class="list-group-item">Nombre de déchets
                <b>NON</b> traités :
                <b>{{report.nbWastes - report.nbTreatedWastes}}
				</b>
            </li>
            <li class="list-group-item">Total de CO2 émis lors du traitement des déchets :
                <b>{{report.totalCO2Issued}}</b> kg
            </li>
        </ul>
</main>
{% endblock %} {% block javascripts %}
<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
<script type="text/javascript">
    {{gc_language('fr')}}
 {{gc_draw(handlersByWastes, 'handlersByWastesHistogram')}}
{{gc_draw(handlersCO2IssuedChart, 'handlersCO2IssuedChart')}}
</script>
{% endblock %}
